| dp14txss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions | Variables
xdptxss_selftest_example.c File Reference

## Overview

This file contains a design example using the XDpTxSs driver.

It performs a self test on the DisplayPort Transmitter Subsystem Hierarchical IP that will test its sub-cores self test functions.

Note
  None.

    MODIFICATION HISTORY:

    Ver  Who Date     Changes

    1.00 sha 07/01/15 Initial release.
    4.1  ms  01/23/17 Modified xil_printf statement in main function to
                      ensure that "Successfully ran" and "Failed" strings
                      are available in all examples. This is a fix for
                      CR-965028.

## Functions
u32 | DpTxSs_SelfTestExample (u16 DeviceId)
| This function is the main entry point for the self test example using the XDpTxSs driver. More...
int | main ()
| This is the main function for XDpTxSs self test example. More...

## Variables
XDpTxSs | DpTxSsInst

## Function Documentation

u32 DpTxSs_SelfTestExample | ( | u16 | DeviceId | ) |

This function is the main entry point for the self test example using the XDpTxSs driver.

This function check whether or not its sub-core drivers self test functions are in working state.

Parameters

  DeviceId | is the unique device ID of the DisplayPort TX Subsystem core.

Returns
  - XST_FAILURE if any of DisplayPort TX Subsystem sub-core self test failed.
  - XST_SUCCESS, if all of DisplayPort TX Subsystem sub-core self test passed.

Note
  None.

References XDpTxSs_Config::BaseAddress, XDpTxSs_CfgInitialize(), XDpTxSs_LookupConfig(), and XDpTxSs_SelfTest().

Referenced by main().

int main | ( | void |  | ) |

This is the main function for XDpTxSs self test example.

Parameters

  None. |

Returns
  - XST_SUCCESS if the self test example passed.
  - XST_FAILURE if the self test example was unsuccessful.

Note
  None.

References DpTxSs_SelfTestExample().

## Variable Documentation

XDpTxSs DpTxSsInst

    MODIFICATION HISTORY:

    Ver  Who     Date      Changes

    1.00 Nishant 19/12/20 Added support for vck190.Added ReadModifyWrite()
                                                    for writing to vck190 register space.set_vphy() renamed
                                                    to config_phy() and has two parameters for linerate and
                                                    lanecount.